안녕하세요, 봉자씨입니다.

프로젝트의 build.gradle에서 모든 compile을  implementation으로 변경했습니다.

그런데도 불구 하고 여전히 경고 메시지가 표시됩니다.

아래와 같은 경고를 확인 할 수 있습니다.

분명히 아래와 같이 바꿔 줬는데 계속적으로 에러가 발생하는 것을 확인 할 수 있습니다.

아래와 같이 바꿨는데도 에러가 계속적으로 발생하는 이유는 아래 클래스가 문제가 되는 것입니다.

com.google.gms:google-services



그래서 이를 바꾸기 위해서는

프로젝트의 build.gradle로 들어가서 클래스 패스에 적힌 google-service의 버전을 바꿔주면 됩니다.

buildscript {
repositories {
jcenter()
google()
}
dependencies {
classpath 'com.android.tools.build:gradle:3.1.3'
classpath 'com.google.gms:google-services:3.1.0'
}
}


아마 위와 같이 되어 있는 것을 아래와 같이 바꿔주면 에러가 사라집니다.

buildscript {
repositories {
jcenter()
google()
}
dependencies {
classpath 'com.android.tools.build:gradle:3.1.3'
classpath 'com.google.gms:google-services:3.2.0'
}
}


글이 조금이나마 도움이 되셨다면 공감 부탁드립니다.

오늘도 좋은 하루 되세요!

감사합니다.

클릭 클릭 공감 클릭~~





+ Recent posts